MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TCPClientConnection Class Reference
Inheritance diagram for TCPClientConnection:
[legend]
Collaboration diagram for TCPClientConnection:
[legend]

## Public Member Functions
void | close ()
bool | connected ()
void | connect (const char *remote_hostname, u_int16_t remote_port)
void | connect (u_int32_t remote_host, u_int16_t remote_port)
Public Member Functions inherited from TCPIOSocket
int | read (void *d, int n)
int | write (const void *d, int n)
int | read_int (int *d, int n)
int | write_int (const int *d, int n)
int | read_string (std::string &)
int | write_string (const std::string &)
int | read_int (int &)
int | write_int (int)
int | read_uint32 (u_int32_t &)
int | write_uint32 (u_int32_t)
Public Member Functions inherited from TCPSocket
void | create ()
void | bind (u_int16_t port_begin, u_int16_t port_fence)
int | port ()
u_int32_t | addr ()
bool | initialized ()
bool | bound ()

## Additional Inherited Members
Protected Attributes inherited from TCPSocket
int | socket_
int | port_
bool | initialized_
bool | bound_

The documentation for this class was generated from the following file:

- socket.h